---
title: Update managed company
description: >-
  Replaces all updatable fields of the specified managed company with the values
  provided. Returns `202 Accepted` as the update is processed asynchronously.
category: API Reference
lastModified: '2026-05-18'
url: >-
  https://developer.lastpass.com/business/docs/managed-companies/update-managed-company.md
---

# Update managed company

`PUT /v1/managed-companies/{child-company-id}`

**Operation ID**: `updateManagedCompany`

## Quick Start

```http
PUT https://api.lastpass.com/business/v1/managed-companies/{child-company-id}
Authorization: api-key <your-api-key>
Content-Type: application/json

{
  "licenseLimit": 0,
  "status": "active",
  "addons": [
    "mfa"
  ]
}
```

Replaces all updatable fields of the specified managed company with the values provided. Returns `202 Accepted` as the update is processed asynchronously.

## Parameters

| Name | In | Type | Required | Description |
|------|-----|------|----------|-------------|
| `child-company-id` | path | integer | Yes | The ID of the managed company. *(format: int64)* |

## Request Body

Managed company details

### Schema

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `licenseLimit` | integer | No | Updated maximum number of user licenses. Only used for warning when reached. |
| `status` | ManagedCompanyStatus | No | The status of a managed company. - `active` — Will be billed for LastPass at the end of the month. - `suspended` — Won’t be billed for LastPass at the end of the month. *(allowed: active, suspended)* |
| `addons` | array of ManagedCompanyAddon | No | Updated list of add-ons for the company. *(allowed: mfa, sso)* |

### Example

```json
{
  "licenseLimit": 0,
  "status": "active",
  "addons": [
    "mfa"
  ]
}
```

## Responses

### 202

Accepted

#### Schema

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `id` | integer | No | Unique identifier of the asynchronous request. |
| `url` | string | No | URL to poll the result of the asynchronous request. |
| `message` | string | No | Human-readable description of the accepted request. |

#### Example

```json
{
  "id": 0,
  "url": "string",
  "message": "string"
}
```

### 400

Bad Request

#### Schema

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `title` | string | No | Short, human-readable summary of the problem type. *(nullable)* |
| `status` | integer | No | HTTP status code. *(nullable)* |
| `detail` | string | No | Human-readable explanation specific to this occurrence of the problem. *(nullable)* |
| `instance` | string | No | URI reference identifying the specific occurrence of the problem. *(nullable)* |
| `errors` | array of ProblemDetailsError | No | List of individual field-level validation errors, if applicable. *(nullable)* |

#### Example

```json
{
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "errors": [
    {
      "detail": "string",
      "pointer": "string"
    }
  ]
}
```

### 401

Unauthorized

#### Schema

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `title` | string | No | Short, human-readable summary of the problem type. *(nullable)* |
| `status` | integer | No | HTTP status code. *(nullable)* |
| `detail` | string | No | Human-readable explanation specific to this occurrence of the problem. *(nullable)* |
| `instance` | string | No | URI reference identifying the specific occurrence of the problem. *(nullable)* |
| `errors` | array of ProblemDetailsError | No | List of individual field-level validation errors, if applicable. *(nullable)* |

#### Example

```json
{
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "errors": [
    {
      "detail": "string",
      "pointer": "string"
    }
  ]
}
```

### 402

Subscription Expired

#### Schema

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `title` | string | No | Short, human-readable summary of the problem type. *(nullable)* |
| `status` | integer | No | HTTP status code. *(nullable)* |
| `detail` | string | No | Human-readable explanation specific to this occurrence of the problem. *(nullable)* |
| `instance` | string | No | URI reference identifying the specific occurrence of the problem. *(nullable)* |
| `errors` | array of ProblemDetailsError | No | List of individual field-level validation errors, if applicable. *(nullable)* |

#### Example

```json
{
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "errors": [
    {
      "detail": "string",
      "pointer": "string"
    }
  ]
}
```

### 403

Forbidden

#### Schema

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `title` | string | No | Short, human-readable summary of the problem type. *(nullable)* |
| `status` | integer | No | HTTP status code. *(nullable)* |
| `detail` | string | No | Human-readable explanation specific to this occurrence of the problem. *(nullable)* |
| `instance` | string | No | URI reference identifying the specific occurrence of the problem. *(nullable)* |
| `errors` | array of ProblemDetailsError | No | List of individual field-level validation errors, if applicable. *(nullable)* |

#### Example

```json
{
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "errors": [
    {
      "detail": "string",
      "pointer": "string"
    }
  ]
}
```

### 404

Not Found

#### Schema

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `title` | string | No | Short, human-readable summary of the problem type. *(nullable)* |
| `status` | integer | No | HTTP status code. *(nullable)* |
| `detail` | string | No | Human-readable explanation specific to this occurrence of the problem. *(nullable)* |
| `instance` | string | No | URI reference identifying the specific occurrence of the problem. *(nullable)* |
| `errors` | array of ProblemDetailsError | No | List of individual field-level validation errors, if applicable. *(nullable)* |

#### Example

```json
{
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "errors": [
    {
      "detail": "string",
      "pointer": "string"
    }
  ]
}
```

### 409

Conflict

#### Schema

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `title` | string | No | Short, human-readable summary of the problem type. *(nullable)* |
| `status` | integer | No | HTTP status code. *(nullable)* |
| `detail` | string | No | Human-readable explanation specific to this occurrence of the problem. *(nullable)* |
| `instance` | string | No | URI reference identifying the specific occurrence of the problem. *(nullable)* |
| `errors` | array of ProblemDetailsError | No | List of individual field-level validation errors, if applicable. *(nullable)* |

#### Example

```json
{
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "errors": [
    {
      "detail": "string",
      "pointer": "string"
    }
  ]
}
```

### 415

Unsupported Media Type

#### Schema

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `title` | string | No | Short, human-readable summary of the problem type. *(nullable)* |
| `status` | integer | No | HTTP status code. *(nullable)* |
| `detail` | string | No | Human-readable explanation specific to this occurrence of the problem. *(nullable)* |
| `instance` | string | No | URI reference identifying the specific occurrence of the problem. *(nullable)* |
| `errors` | array of ProblemDetailsError | No | List of individual field-level validation errors, if applicable. *(nullable)* |

#### Example

```json
{
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "errors": [
    {
      "detail": "string",
      "pointer": "string"
    }
  ]
}
```

### 429

Too Many Requests

#### Schema

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `title` | string | No | Short, human-readable summary of the problem type. *(nullable)* |
| `status` | integer | No | HTTP status code. *(nullable)* |
| `detail` | string | No | Human-readable explanation specific to this occurrence of the problem. *(nullable)* |
| `instance` | string | No | URI reference identifying the specific occurrence of the problem. *(nullable)* |
| `errors` | array of ProblemDetailsError | No | List of individual field-level validation errors, if applicable. *(nullable)* |

#### Example

```json
{
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "errors": [
    {
      "detail": "string",
      "pointer": "string"
    }
  ]
}
```

### 500

Internal Server Error

#### Schema

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `title` | string | No | Short, human-readable summary of the problem type. *(nullable)* |
| `status` | integer | No | HTTP status code. *(nullable)* |
| `detail` | string | No | Human-readable explanation specific to this occurrence of the problem. *(nullable)* |
| `instance` | string | No | URI reference identifying the specific occurrence of the problem. *(nullable)* |
| `errors` | array of ProblemDetailsError | No | List of individual field-level validation errors, if applicable. *(nullable)* |

#### Example

```json
{
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "errors": [
    {
      "detail": "string",
      "pointer": "string"
    }
  ]
}
```

